1.7.10?

RtHonBarnett

Member
Jul 11, 2014
2
0
1
24
It seems that the latest version of Galacticraft-compatible minecraft is 1.6.4, but this forum is still active so I can only assume I'm missing something really obvious? Is it possible to get galacticraft working on 1.7.10?

Thanks
 

Ezer'Arch

Administrator
Staff member
May 18, 2013
1,613
449
83
ezerarch.com
Galacticraft is being ported to 1.7.2 first. Not just a straight port, but also new dimensions, rockets, tools and a load of improvements are being implemented. And then we are moving onto 1.7.10. :)
 

MoltonMontro

Member
Nov 4, 2013
716
123
43
I hope IC2 also comes out in 1.7.2 when Galacticraft dose.
Most mods seem to update when a new Vanilla release comes out or after a Vanilla release / the mod maker's mod has been released for a great period of time. Several mods have already updated to 1.7.2, so it should be likely IC2 and GalactiCraft will both be out for 1.7.2 around the same time.
 
Jun 14, 2014
42
2
8
20
Most mods seem to update when a new Vanilla release comes out or after a Vanilla release / the mod maker's mod has been released for a great period of time. Several mods have already updated to 1.7.2, so it should be likely IC2 and GalactiCraft will both be out for 1.7.2 around the same time.
Ic2 for 1.7.2 is already out
 

Buzzrocket

Member
Jul 8, 2014
60
9
8
31
USA,NC
So I don't know where Mek 1.7.2 came from. There are a lot of sites that claim to have this or that version but it's just clickbait.[/quote]

I just found out that they don't. That makes me sad because I love Mekanism.